Debian Bug report logs - #699687
ITP: QtKeychain -- Qt API to store passwords securely

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sandro Knauß <bugs@sandroknauss.de>

Date: Sun, 3 Feb 2013 15:18:01 UTC

Owned by: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>

Severity: wishlist

Fixed in version qtkeychain/0.1.0-1

Done: Sandro Knauß <bugs@sandroknauss.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bugs@sandroknauss.de, debian-devel@lists.debian.org, pkg-owncloud-maintainers@lists.alioth.debian.org, wnpp@debian.org, ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>:
Bug#699687; Package wnpp. (Sun, 03 Feb 2013 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Knauß <bugs@sandroknauss.de>:
New Bug report received and forwarded. Copy sent to bugs@sandroknauss.de, debian-devel@lists.debian.org, pkg-owncloud-maintainers@lists.alioth.debian.org, wnpp@debian.org, ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>. (Sun, 03 Feb 2013 15:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sandro Knauß <bugs@sandroknauss.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: QtKeychain -- Qt API to store passwords securely
Date: Sun, 03 Feb 2013 16:15:25 +0100
Package: wnpp
Severity: wishlist
Owner: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>

* Package name    : QtKeychain
  Version         : 0.1.0
  Upstream Author : Frank Osterfeld <frank.osterfeld@gmail.com>
* URL             : https://github.com/frankosterfeld/qtkeychain
* License         : BSD-3-clause
  Programming Lang: C++
  Description     : Qt API to store passwords securely
 It uses KWallet (via D-Bus) if available.
 Support for the GNOME Keyring via freedesktop.org's Secret Storage
 D-Bus specification is planned but not yet implemented.

Owncloud-client (#692872) depends on this library. 

We already started packaging QtKeychain :
git://git.debian.org/git/pkg-owncloud/qtkeychain.git

Sandro Knauß



Added indication that bug 699687 blocks 692872 Request was from Sandro Knauß <bugs@sandroknauss.de> to control@bugs.debian.org. (Sun, 03 Feb 2013 16:24:06 GMT) Full text and rfc822 format available.

Message sent on to Sandro Knauß <bugs@sandroknauss.de>:
Bug#699687. (Sun, 03 Feb 2013 17:00:06 GMT) Full text and rfc822 format available.

Message #10 received at 699687-submitter@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 699687-submitter@bugs.debian.org
Subject: Re: Bug#699687: ITP: QtKeychain -- Qt API to store passwords securely
Date: Sun, 3 Feb 2013 13:57:00 -0300
[Message part 1 (text/plain, inline)]
On Sun 03 Feb 2013 12:15:25 Sandro Knauß escribió:
> Package: wnpp
> Severity: wishlist
> Owner: ownCloud for Debian maintainers
> <pkg-owncloud-maintainers@lists.alioth.debian.org>
> 
> * Package name    : QtKeychain
>   Version         : 0.1.0
>   Upstream Author : Frank Osterfeld <frank.osterfeld@gmail.com>
> * URL             : https://github.com/frankosterfeld/qtkeychain
> * License         : BSD-3-clause
>   Programming Lang: C++
>   Description     : Qt API to store passwords securely
>  It uses KWallet (via D-Bus) if available.
>  Support for the GNOME Keyring via freedesktop.org's Secret Storage
>  D-Bus specification is planned but not yet implemented.
> 
> Owncloud-client (#692872) depends on this library.
> 
> We already started packaging QtKeychain :
> git://git.debian.org/git/pkg-owncloud/qtkeychain.git
> 
> Sandro Knauß

Considering you are packaging a Qt library, let me recommend you to take a 
look at the pkg-kde-tools package, it has a nice symbolshelper utility for 
managing Qt symbols. You can take a look at src:libechonest for an example on 
how to use it in the package and [0] for managing symbols files.

[0] <http://pkg-kde.alioth.debian.org/symbolfiles.html>

Kinds regards, Lisandro.

-- 
My favourite poem is the one that starts 'Thirty days hath September' because
it actually tells you something.
 -- Groucho Marx

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Sandro Knauß <bugs@sandroknauss.de> to control@bugs.debian.org. (Sun, 03 Feb 2013 19:57:05 GMT) Full text and rfc822 format available.

Reply sent to Sandro Knauß <bugs@sandroknauss.de>:
You have taken responsibility. (Wed, 29 May 2013 13:03:21 GMT) Full text and rfc822 format available.

Notification sent to Sandro Knauß <bugs@sandroknauss.de>:
Bug acknowledged by developer. (Wed, 29 May 2013 13:03:21 GMT) Full text and rfc822 format available.

Message #17 received at 699687-close@bugs.debian.org (full text, mbox):

From: Sandro Knauß <bugs@sandroknauss.de>
To: 699687-close@bugs.debian.org
Subject: Bug#699687: fixed in qtkeychain 0.1.0-1
Date: Wed, 29 May 2013 13:00:09 +0000
Source: qtkeychain
Source-Version: 0.1.0-1

We believe that the bug you reported is fixed in the latest version of
qtkeychain, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699687@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Knauß <bugs@sandroknauss.de> (supplier of updated qtkeychain package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 13 May 2013 01:39:05 +0200
Source: qtkeychain
Binary: libqtkeychain0 qtkeychain-dev
Architecture: source amd64
Version: 0.1.0-1
Distribution: unstable
Urgency: low
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Changed-By: Sandro Knauß <bugs@sandroknauss.de>
Description: 
 libqtkeychain0 - Qt API to store passwords and other secret data securely
 qtkeychain-dev - Development files for qtkeychain
Closes: 699687
Changes: 
 qtkeychain (0.1.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #699687)
Checksums-Sha1: 
 c267aead20307b26335cdc30180e9c9ff870ab9d 2096 qtkeychain_0.1.0-1.dsc
 1d31468ea1472e06f05162929fd959b45db122d0 12637 qtkeychain_0.1.0.orig.tar.gz
 b90ad1777d180a5c491dc9c12a2544d5fa72fe0e 6115 qtkeychain_0.1.0-1.debian.tar.gz
 b8ba38449d622e50c50d9b7ca306bf61539cf28a 55252 libqtkeychain0_0.1.0-1_amd64.deb
 7564d820ef588fedb3ecc964f574be30a9e928b7 5600 qtkeychain-dev_0.1.0-1_amd64.deb
Checksums-Sha256: 
 33a1a20b04b08eacbceaf455e5342e150725a238513eef7d2629cfaf4ef8bda9 2096 qtkeychain_0.1.0-1.dsc
 3150eb15d2ccaa907d21f70f740251690907b646ceacebf15cce593374b3d9b5 12637 qtkeychain_0.1.0.orig.tar.gz
 0f3f233050c2267d3192cfd57b5dc2d8ee93f1197c237bf89e4bd1dcc3a95d4f 6115 qtkeychain_0.1.0-1.debian.tar.gz
 fa23731e25d398f95be3c06ee2db7f22dc5d5881bcea746d52935c3f35010a38 55252 libqtkeychain0_0.1.0-1_amd64.deb
 c4329c24a20c192b9aab403054b189fa9c4e0461c4efe539323de7327b3a29f6 5600 qtkeychain-dev_0.1.0-1_amd64.deb
Files: 
 de883ef83c4eb8da7a1187c51d46165b 2096 libs extra qtkeychain_0.1.0-1.dsc
 f4c435ef0c86d42d9bc2a5d165223781 12637 libs extra qtkeychain_0.1.0.orig.tar.gz
 9f6a903ff11774a8a1e371947cf93bd4 6115 libs extra qtkeychain_0.1.0-1.debian.tar.gz
 208a21e6ba7973cbc98921be1e95e0d8 55252 libs extra libqtkeychain0_0.1.0-1_amd64.deb
 e1b1c0e34abf10db2bec41f9e0ee3dc7 5600 libdevel extra qtkeychain-dev_0.1.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRkCq6AAoJELgqIXr9/gny2uYP/1dbmxBkVc9rlW5DhYnGBORG
rlz5unBCjXHNqUOlZQQTHVkSEPYac4mN1axExhFFeq1NOoJOsk//65+pXlbjewAv
A9X8DxA531b5w3XUv5Lv5FCdgE6OjQFhn10o34Raqwkvo7UpuZztM1fEnkUWaLMg
5nscOFigsnkhOlmQAwhcYWQwqu8+EHVvBcg5YKEll54IQmXCcCNQIgJraCofwgyX
J5QEJawaXinqfLS5k9FZ+mDxPGrgwRcv+muymk+k6bn7Cmly1qKsc+AomBJ6YUdz
HxXZ4jABp91+UMlYoq2tKMEt0uZKbqVhufznXCUkfhVmcsvkRPs/RcG1IulKtiyu
hiq0hgt0yClxerLyBW86FVtpFztz6RaySBdKTKl4oFOynkV96MhduFa54RnI9C3S
lG22Kx6hhRXArqiHIuNDAM98UKFu4/ABg+wor3BU4GHt2oohnSPSGRS5/f4C1sfZ
SNFQd2hyv2tNKnCaxsp+wygK3TTC0wAtOwwrTXAz5eh1ZnZOOhfdNvsWn4WuvWWz
saNEyAiHclg/quI+OpqSvP8GstzMo1y+/z7y6ZFmWpKV4V+Gj2OZZnYvvtQUN5CT
KupSUwOAvpIAPtfclSXwRpFVZCmvwwTDiAYyYI89BMN3hacpbUenPDxvmQTmnIjR
Keulm8q8aVcAjKKXFgxK
=ZRPS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:36:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:07:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.